Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.responses

# Annotation Type APIResponses

@Target({METHOD,TYPE}) @Retention(RUNTIME) @Inherited public @interface APIResponses
The ApiResponses annotation is a container for @ApiResponse annotations. When used on a method it is treated as if each ApiResponse annotation were applied individually.

See Also:
  - OpenAPI Specification Responses Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Extension[]`
`extensions`
List of extensions to be added to the `APIResponses` model corresponding to the containing annotation.
`APIResponse[]`
`value`
An array of APIResponse annotations

## Element Details

### value

APIResponse[] value
An array of APIResponse annotations

Returns:
  the array of the APIResponse

Default:
  {}

### extensions

Extension[] extensions
List of extensions to be added to the `APIResponses` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}